package com.dxhy.customs.constants;

import lombok.AllArgsConstructor;

/**
 * @author dxhy
 */
@AllArgsConstructor
public enum AuditStatusEnum {
    // 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-电票上传）

    G("-1", "待处理"), A("0", "稽核中"), B("1", "相符"), C("2", "不符"), D("3", "缺联"), E("4", "重号"), F("5", "历史相符");

    private String key;
    private String value;

    public static String getVal(String key) {
        for (AuditStatusEnum materialEnum : AuditStatusEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
}
